#
# spec file for package kfourinline
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kfourinline
BuildRequires:  libkdegames-devel
BuildRequires:  xz
Summary:        Four Wins game
License:        LGPL-2.0+
Group:          Amusements/Toys/Other
Url:            http://www.kde.org
Version:        14.12.1
Release:        0
Source0:        kfourinline-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires

%description
Four wins is a two player board game which follows the rules for the
Connect Four (TM) board game where you have to align four pieces of the
same colour to win.


%prep
%setup -q -n kfourinline-%{version}

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  cd build
  %makeinstall
  %suse_update_desktop_file -r kfourinline     Game BoardGame
  %kde_post_install

%clean
  rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc COPYING COPYING.DOC
%{_kde4_bindir}/kfourinline
%{_kde4_bindir}/kfourinlineproc
%{_kde4_applicationsdir}/kfourinline.desktop
%{_kde4_htmldir}/en/kfourinline/
%{_kde4_appsdir}/kfourinline/
%{_kde4_iconsdir}/hicolor/*/apps/kfourinline.*
%{_kde4_configkcfgdir}/kwin4.kcfg

%changelog
